Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000199KdenliveBuild Systempublic2008-10-12 16:462008-12-29 15:37
Reporterandrewz 
Assigned Tomadsdyd 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.1Fixed in Version0.7.1 
Summary0000199: include .spec to build RPMs
DescriptionIncluding a .spec to build RPMs (on Fedora, SUSE, etc.) makes the application easier to build and install. If you decide to use the attached .spec file (a rough draft), I will clean it up first.
TagsNo tags attached.
Build/Install MethodOther Method?
Attached Files? file icon kdenlive.spec [^] (5,238 bytes) 2008-10-12 16:46
? file icon kdenlive.spec.new [^] (5,239 bytes) 2008-11-30 03:51

- Relationships

-  Notes
(0000372)
administrator (administrator)
2008-10-12 19:28

Hi. Yes, I will be glad to use the spec file you provided, so if you are ok to clean it, you are welcome. Will include it as soon as it's ready.

regards
(0000437)
madsdyd (administrator)
2008-10-18 18:58

I reckon this needs feedback (the cleaned up spec file) from the original reporter?
(0001457)
cinephiliac (updater)
2008-11-29 14:33

Reminder sent to: andrewz

Hi Andrewz

Could you look into getting the cleaned .spec file back to us so we can include it, otherwise we'll need to close this as we haven't had any feedback since October.

Cheers

Cinephiliac
(0001459)
andrewz (reporter)
2008-11-30 03:55

New version attached. Of course this is just a starting place. For example, non-Fedora distros may want to add {%if} macros to specify distribution-specific changes.
(0001469)
madsdyd (administrator)
2008-11-30 22:24

Acknowledging for 0.7.1.
(0001569)
madsdyd (administrator)
2008-12-08 09:03

I have updated the spec file in svn rev. 2762.

However, we have recently added a man directory, as well as some more translations, and some more luma files. These are not, AFAICT, part of the spec file.

Is there a way to solve this automatically, or does it require manual changes every time something is changed? Could you perhaps register for svn access and update directly?
(0001576)
andrewz (reporter)
2008-12-08 16:36

You can change much of the %files section to use wildcards such as

/usr/share/kde4/apps/kdenlive/effects/*

Actually I should have done that, but I no longer use kdenlive, so I would appreciate someone else taking over.
(0001587)
andrewz (reporter)
2008-12-09 15:38

Here's a helpful guide to building cross-distro .spec files
http://en.opensuse.org/Build_Service/cross_distribution_package_how_to [^]

OpenSUSE even provides a farm to build them
(0001617)
jmpoure (developer)
2008-12-12 18:09
edited on: 2008-12-12 18:11

Hey, I am excited. How to build the SPEC? To you build them during make?
Could you describe in more details, maybe using a page on the web server?

Maybe I can help, as I used to build packages for various RPM distros before switching to Debian for my sake.

Also, who is charge of building RPMs?
Do we provide daily builds (this would be preferable).
Etc ... All these questions need some organization.

(0001781)
madsdyd (administrator)
2008-12-18 12:15

Patch commited.

It is not complete, but I am not prepared to do anything more about it.

- Issue History
Date Modified Username Field Change
2008-10-12 16:46 andrewz New Issue
2008-10-12 16:46 andrewz File Added: kdenlive.spec
2008-10-12 19:28 administrator Note Added: 0000372
2008-10-18 18:58 madsdyd Note Added: 0000437
2008-10-18 18:58 madsdyd Status new => feedback
2008-11-29 14:33 cinephiliac Note Added: 0001457
2008-11-30 03:51 andrewz File Added: kdenlive.spec.new
2008-11-30 03:55 andrewz Note Added: 0001459
2008-11-30 22:24 madsdyd Build/Install Method => Build Wizard
2008-11-30 22:24 madsdyd Note Added: 0001469
2008-11-30 22:24 madsdyd Status feedback => acknowledged
2008-11-30 22:24 madsdyd Target Version => 0.7.1
2008-11-30 22:24 madsdyd Build/Install Method Build Wizard => Other Method?
2008-12-08 09:03 madsdyd Note Added: 0001569
2008-12-08 09:03 madsdyd Status acknowledged => assigned
2008-12-08 09:03 madsdyd Assigned To => madsdyd
2008-12-08 16:36 andrewz Note Added: 0001576
2008-12-09 15:38 andrewz Note Added: 0001587
2008-12-12 18:09 jmpoure Note Added: 0001617
2008-12-12 18:09 jmpoure Note Edited: 0001617
2008-12-12 18:11 jmpoure Note Edited: 0001617
2008-12-18 12:15 madsdyd Note Added: 0001781
2008-12-18 12:15 madsdyd Status assigned => resolved
2008-12-18 12:15 madsdyd Fixed in Version => Recent git
2008-12-18 12:15 madsdyd Resolution open => fixed
2008-12-29 15:36 madsdyd Fixed in Version Recent git => 0.7.1
2008-12-29 15:37 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker